//+------------------------------------------------------------------+
//|                                     multisymbol_color-RSI_1.0.mq4|
//|                                                      Lq_sunshine |
//|mod. barlevel ki                         http://www.forex-tsd.com |
//+------------------------------------------------------------------+



#property indicator_separate_window
#property indicator_buffers 8
#property indicator_color1  C'188,253,176'//white
#property indicator_color2  C'140,240,130'  
#property indicator_color3  C'73,204,70' 
#property indicator_color4  C'23,139,23'  //green
#property indicator_color5  C'255,185,185' 
#property indicator_color6  C'255,115,115' 
#property indicator_color7  C'255,76,76' 
#property indicator_color8  C'255,32,32'   //red
#property indicator_width1  5
#property indicator_width2  5
#property indicator_width3  5
#property indicator_width4  5
#property indicator_width5  5
#property indicator_width6  5
#property indicator_width7  5
#property indicator_width8  5
#property indicator_maximum 77
#property indicator_minimum 1


extern int    timeFrame       = 0;
extern int    Periode         = 14;
extern bool   invert_strength =  0;
extern string CurrencyPair    = "";
extern string NOTE_1          = "enter currencypair in uppercase"; 
extern string _____           = "like EURUSD"; 
extern string ______          = "leave empty for current symbol"; 
extern string NOTE_2          = "if you have a mini account"; 
extern string _______         = "add a \"m\"  e.g EURUSDm "; 
extern bool  labelsOn         = true;
extern int   BarLevel         = 10;

//---- buffers
//
//
//
//

double ExtBuffer0[];   
double ExtBuffer1[];
double ExtBuffer2[];
double ExtBuffer3[]; 
double ExtBuffer4[];   
double ExtBuffer5[];
double ExtBuffer6[]; 
double ExtBuffer7[];
   
//+------------------------------------------------------------------+
//|                                                                  |
//+------------------------------------------------------------------+
//
//
//
//
//
    
int init()
{
   
   SetIndexBuffer(0,ExtBuffer0); SetIndexStyle(0,DRAW_HISTOGRAM);
   SetIndexBuffer(1,ExtBuffer1); SetIndexStyle(1,DRAW_HISTOGRAM);               
   SetIndexBuffer(2,ExtBuffer2); SetIndexStyle(2,DRAW_HISTOGRAM);              
   SetIndexBuffer(3,ExtBuffer3); SetIndexStyle(3,DRAW_HISTOGRAM);                                                                                           SetIndexLabel(4,"rsi45-50"); //litered
   SetIndexBuffer(4,ExtBuffer4); SetIndexStyle(4,DRAW_HISTOGRAM);             
   SetIndexBuffer(5,ExtBuffer5); SetIndexStyle(5,DRAW_HISTOGRAM);            
   SetIndexBuffer(6,ExtBuffer6); SetIndexStyle(6,DRAW_HISTOGRAM);             
   SetIndexBuffer(7,ExtBuffer7); SetIndexStyle(7,DRAW_HISTOGRAM);
   
   if (labelsOn)
   {
     SetIndexLabel(0,"rsi50-55"); //litegreen
     SetIndexLabel(1,"rsi55-60");
     SetIndexLabel(2,"rsi60-70"); 
     SetIndexLabel(3,"rsi>70");   //green
     SetIndexLabel(4,"rsi45-50"); //litered
     SetIndexLabel(5,"rsi40-45");
     SetIndexLabel(6,"rsi30-40");
     SetIndexLabel(7,"rsi<30");   //red
   }
   else
   {
     SetIndexLabel(0,"");
     SetIndexLabel(1,"");
     SetIndexLabel(2,"");
     SetIndexLabel(3,"");
     SetIndexLabel(4,"");
     SetIndexLabel(5,"");
     SetIndexLabel(6,"");
     SetIndexLabel(7,"");
  }
   
   if (CurrencyPair == "") CurrencyPair = Symbol();
   IndicatorShortName(CurrencyPair+" ("+Periode+")");
   
return(1);
}
   
 int deinit() { return(0); }

//+------------------------------------------------------------------+
//|                                                                  |
//+------------------------------------------------------------------+
//
//
//
//
//  
  
int start()
{
   int counted_bars=IndicatorCounted();
   int pos,limit;

   if(counted_bars<0) return(-1);
   if(counted_bars>0) counted_bars--;
         limit=MathMax(Bars-counted_bars,3*timeFrame/Period());
         
   //
   //
   //
   //
   //
   
     for (pos=limit; pos>=0; pos--)
     {  
        int y = iBarShift(CurrencyPair,timeFrame,Time[pos]);
        double ddraw= iRSI(CurrencyPair,timeFrame,Periode,PRICE_CLOSE,y);         
        if (invert_strength==1)  ddraw=ddraw-(ddraw-50)*2;              //---- Inversion of the RSI
        
        if (ddraw<50)                                                   //---- RSI <= 48 draws RED blocks 
         
             if (ddraw<50&&ddraw>45) drawblock(0,0,0,0,5,0,0,0,pos);    //---- 44< RSI  draws RED blocks 
        else if(ddraw<=45&&ddraw>40) drawblock(0,0,0,0,0,5,0,0,pos);    //---- 39< RSI  draws RED blocks              
        else if(ddraw<=40&&ddraw>30) drawblock(0,0,0,0,0,0,5,0,pos);    //---- 35< RSI  draws RED blocks 
        else                         drawblock(0,0,0,0,0,0,0,5,pos);
                               
        else if(ddraw>=50)                                              //---- RSI >= 52 draws green blocks
             if(ddraw>=50&&ddraw<55) drawblock(5,0,0,0,0,0,0,0,pos);    //---- RSI >= 52 <56 draws green blocks
        else if(ddraw>=55&&ddraw<60) drawblock(0,5,0,0,0,0,0,0,pos);    //---- RSI >= 56 <60 draws green blocks
        else if(ddraw>=60&&ddraw<70) drawblock(0,0,5,0,0,0,0,0,pos);    //---- 60>RSI<70 draws green blocks
        else                         drawblock(0,0,0,5,0,0,0,0,pos);    //---- draw white block if there chart is rangig
   }
   return(0);
  }

//
//
//
//
//
      
void drawblock(int a,int b,int c,int d,int e,int f,int g,int h,int pos)
{     
    ExtBuffer0[pos]=a*BarLevel;    
    ExtBuffer1[pos]=b*BarLevel;
    ExtBuffer2[pos]=c*BarLevel;
    ExtBuffer3[pos]=d*BarLevel;
    ExtBuffer4[pos]=e*BarLevel;
    ExtBuffer5[pos]=f*BarLevel;
    ExtBuffer6[pos]=g*BarLevel;
    ExtBuffer7[pos]=h*BarLevel;

} 


